Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis2.description.java2wsdl
Class DefaultNamespaceGenerator

    java.lang.Object
      org.apache.axis2.description.java2wsdl.DefaultNamespaceGenerator

All Implemented Interfaces:
  NamespaceGenerator

    public class DefaultNamespaceGenerator

extends Object
implements NamespaceGenerator

This class provides the default implementatoin for mapping java classes to namespaces

Field Summary
`static String` | `HTTP`
`static char` | `PACKAGE_CLASS_DELIMITER`
`static String` | `SCHEMA_NAMESPACE_EXTN`

Constructor Summary
`DefaultNamespaceGenerator()`

Method Summary
`StringBuffer` | `namespaceFromPackageName(String packageName)`
`StringBuffer` | `schemaNamespaceFromPackageName(String packageName)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HTTP

    public static final String HTTP

See Also:
  Constant Field Values

### PACKAGE_CLASS_DELIMITER

    public static final char PACKAGE_CLASS_DELIMITER

See Also:
  Constant Field Values

### SCHEMA_NAMESPACE_EXTN

    public static final String SCHEMA_NAMESPACE_EXTN

See Also:
  Constant Field Values

Constructor Detail

### DefaultNamespaceGenerator

    public DefaultNamespaceGenerator()

Method Detail

### namespaceFromPackageName

    public StringBuffer namespaceFromPackageName(String packageName)

  Specified by:
    `namespaceFromPackageName` in interface `NamespaceGenerator`

### schemaNamespaceFromPackageName

    public StringBuffer schemaNamespaceFromPackageName(String packageName)

  Specified by:
    `schemaNamespaceFromPackageName` in interface `NamespaceGenerator`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2011 The Apache Software Foundation. All Rights Reserved.